# ResultType

enum ResultType

The final status of a test.

## Entries

SUCCESS
Link copied to clipboard
SUCCESS
FAILURE
Link copied to clipboard
FAILURE
SKIPPED
Link copied to clipboard
SKIPPED

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): TestResult.ResultType

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<TestResult.ResultType>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.